<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:id="@+id/iv1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginVertical="100dp"
        android:background="@mipmap/app_logo" />

    <LinearLayout
        android:id="@+id/l"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginHorizontal="30dp"
        android:orientation="vertical">

        <EditText
            android:id="@+id/userNameView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableStart="@mipmap/user"
            android:drawablePadding="5dp"
            android:hint="请输入手机号/用户名"
            android:paddingHorizontal="5dp"
            android:singleLine="true"
            android:textColorHint="@color/hintColor" />

        <EditText
            android:id="@+id/userPasswordView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableStart="@mipmap/lock"
            android:drawablePadding="5dp"
            android:hint="请输入密码"
            android:inputType="textPassword"
            android:paddingHorizontal="5dp"
            android:singleLine="true"
            android:textColorHint="@color/hintColor" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <CheckBox
                android:id="@+id/rememberPasswordView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="记住密码" />

            <CheckBox
                android:id="@+id/autoLoginView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:text="自动登录" />
        </RelativeLayout>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/l"
        android:layout_alignParentBottom="true">

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/loginButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginHorizontal="30dp"
            android:layout_marginTop="30dp"
            android:paddingVertical="7dp"
            android:text="登 录"
            android:textColor="@color/white"
            android:textSize="@dimen/titleFontSize"
            app:qmui_backgroundColor="@color/mainThemeColor"
            app:qmui_radius="5dp" />

        <ImageView
            android:id="@+id/iv2"
            android:layout_width="match_parent"
            android:layout_height="180dp"
            android:layout_alignParentBottom="true"
            android:background="@drawable/bg_enter_bottom" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
            android:id="@+id/changeServerConfigButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_margin="15dp"
            android:background="@drawable/bg_button"
            android:elevation="5dp"
            android:padding="5dp"
            android:src="@drawable/ic_settings" />
    </RelativeLayout>
</RelativeLayout>